Skip to content

An agent's key directory

GET
/v1/agents/{client_id}/directory
curl --request GET \
--url https://api.trybage.com/v1/agents/example/directory

The agent’s Signature-Agent (type jwks_uri): its registered key, plus the session keys its live tokens are bound to (with exp). Each kid is the key’s JWK thumbprint, which is the keyid in the agent’s signatures.

client_id
required
string

The keys.

Media typeapplication/http-message-signatures-directory+json
object
keys
required
Array<object>
object
kty
required
string
Allowed values: OKP EC
crv
required
string
Allowed values: Ed25519 P-256
x
required
string
y
string
kid
required

The key’s JWK thumbprint.

string
use
required
string
Allowed value: sig
alg
string
Allowed values: EdDSA ES256
exp

For session keys

integer

Example

{
"keys": [
{
"kty": "OKP",
"crv": "Ed25519",
"use": "sig",
"alg": "EdDSA"
}
]
}

Unknown or disabled agent.